Accounts - Create
特定のリソース グループにアカウントを作成する
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataShare/accounts/{accountName}?api-version=2021-08-01
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
account
|
path | True |
string |
共有アカウントの名前。 |
|
resource
|
path | True |
string |
リソース グループ名。 |
|
subscription
|
path | True |
string |
サブスクリプション識別子 |
|
api-version
|
query | True |
string |
使用する API バージョン。 |
要求本文
| 名前 | 必須 | 型 | 説明 |
|---|---|---|---|
| identity | True |
アカウントの ID 情報 |
|
| location |
string |
Azure リソースの場所。 |
|
| tags |
object |
Azure リソースのタグ。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
成功 |
|
| 201 Created |
成功 |
|
| Other Status Codes |
Microsoft.DataShare リソース プロバイダーから受信したエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 フロー。
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
Accounts_Create
要求のサンプル
PUT https://management.azure.com/subscriptions/433a8dfd-e5d5-4e77-ad86-90acdc75eb1a/resourceGroups/SampleResourceGroup/providers/Microsoft.DataShare/accounts/Account1?api-version=2021-08-01
{
"location": "West US 2",
"tags": {
"tag1": "Red",
"tag2": "White"
},
"identity": {
"type": "SystemAssigned"
}
}
応答のサンプル
Date: Wed, 13 Sep 2017 18:04:32 GMT
x-ms-request-id: d5496da4-9c52-402f-b067-83cc9ddea888
X-Content-Type-Options: nosniff
x-ms-ratelimit-remaining-tenant-reads: 14999
x-ms-correlation-request-id: 25c78f97-0b0a-4fe9-ad39-883a482265cd
{
"properties": {
"userName": "John Smith",
"createdAt": "2018-11-14T04:47:52.9614956Z",
"userEmail": "johnsmith@microsoft.com"
},
"location": "West US 2",
"tags": {
"tag1": "Red",
"tag2": "White"
},
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2020-01-01T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
},
"identity": {
"type": "SystemAssigned"
},
"id": "/subscriptions/433a8dfd-e5d5-4e77-ad86-90acdc75eb1a/resourceGroups/SampleResourceGroup/providers/Microsoft.DataShare/accounts/Account1",
"name": "Account1",
"type": "Microsoft.DataShare/accounts"
}
Date: Wed, 13 Sep 2017 18:04:32 GMT
x-ms-request-id: d5496da4-9c52-402f-b067-83cc9ddea888
X-Content-Type-Options: nosniff
x-ms-ratelimit-remaining-tenant-reads: 14999
x-ms-correlation-request-id: 25c78f97-0b0a-4fe9-ad39-883a482265cd
{
"properties": {
"userName": "John Smith",
"createdAt": "2018-11-14T04:47:52.9614956Z",
"userEmail": "johnsmith@microsoft.com"
},
"location": "West US 2",
"tags": {
"tag1": "Red",
"tag2": "White"
},
"systemData": {
"createdBy": "user1",
"createdByType": "User",
"createdAt": "2020-01-01T17:18:19.1234567Z",
"lastModifiedBy": "user2",
"lastModifiedByType": "User",
"lastModifiedAt": "2020-01-02T17:18:19.1234567Z"
},
"identity": {
"type": "SystemAssigned"
},
"id": "/subscriptions/433a8dfd-e5d5-4e77-ad86-90acdc75eb1a/resourceGroups/SampleResourceGroup/providers/Microsoft.DataShare/accounts/Account1",
"name": "Account1",
"type": "Microsoft.DataShare/accounts"
}
定義
| 名前 | 説明 |
|---|---|
| Account |
アカウント データ転送オブジェクト。 |
|
created |
リソースを作成した ID の種類。 |
|
Data |
データ共有エラー モデル。 |
|
Data |
データ共有エラー本文モデル。 |
| Identity |
リソースの ID |
|
last |
リソースを最後に変更した ID の種類。 |
|
provisioning |
アカウントのプロビジョニング状態 |
|
System |
リソースの作成と最後の変更に関連するメタデータ。 |
| type |
ID の種類 |
Account
アカウント データ転送オブジェクト。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string |
Azure リソースのリソース ID |
| identity |
アカウントの ID 情報 |
|
| location |
string |
Azure リソースの場所。 |
| name |
string |
Azure リソースの名前 |
| properties.createdAt |
string (date-time) |
アカウントが作成された時刻。 |
| properties.provisioningState |
アカウントのプロビジョニング状態 |
|
| properties.userEmail |
string |
リソースを作成したユーザーの電子メール |
| properties.userName |
string |
リソースを作成したユーザーの名前 |
| systemData |
Azure リソースのシステム データ。 |
|
| tags |
object |
Azure リソースのタグ。 |
| type |
string |
Azure リソースの種類 |
createdByType
リソースを作成した ID の種類。
| 値 | 説明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DataShareError
データ共有エラー モデル。
| 名前 | 型 | 説明 |
|---|---|---|
| error |
データ共有のエラー本文 |
DataShareErrorInfo
データ共有エラー本文モデル。
| 名前 | 型 | 説明 |
|---|---|---|
| code |
string |
エラーのコード |
| details |
エラー モデルの入れ子になった詳細 |
|
| message |
string |
エラーのメッセージ |
| target |
string |
エラーのターゲット |
Identity
リソースの ID
| 名前 | 型 | 説明 |
|---|---|---|
| principalId |
string |
サービス プリンシパル ID |
| tenantId |
string |
テナント ID |
| type |
ID の種類 |
lastModifiedByType
リソースを最後に変更した ID の種類。
| 値 | 説明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
provisioningState
アカウントのプロビジョニング状態
| 値 | 説明 |
|---|---|
| Succeeded | |
| Creating | |
| Deleting | |
| Moving | |
| Failed |
SystemData
リソースの作成と最後の変更に関連するメタデータ。
| 名前 | 型 | 説明 |
|---|---|---|
| createdAt |
string (date-time) |
リソース作成のタイムスタンプ (UTC)。 |
| createdBy |
string |
リソースを作成した ID。 |
| createdByType |
リソースを作成した ID の種類。 |
|
| lastModifiedAt |
string (date-time) |
リソースを最後に変更した ID の種類。 |
| lastModifiedBy |
string |
リソースを最後に変更した ID。 |
| lastModifiedByType |
リソースを最後に変更した ID の種類。 |
type
ID の種類
| 値 | 説明 |
|---|---|
| SystemAssigned |